## tracker-miners 2.0.4

=== meson_options.txt ===
option('docs', type: 'boolean', value: true,
       description: 'Enable the documentation')
option('extract', type: 'boolean', value: true,
       description: 'Enable the Tracker metadata extractor')
option('functional_tests', type: 'boolean', value: true,
       description: 'Enable the Tracker functional test suite')
option('guarantee_metadata', type: 'boolean', value: true,
       description: 'Set nie:title and nie:contentCreated from filename and mtime if no metadata available')
option('journal', type: 'boolean', value: true,
       description: 'Enable database journal backup mechanism')
option('miner_apps', type: 'boolean', value: true,
       description: 'Enable the Tracker applications miner')
option('miner_fs', type: 'boolean', value: true,
       description: 'Enable the Tracker filesystem miner')
option('miner_rss', type: 'boolean', value: true,
       description: 'Enable the Tracker RSS miner')
option('writeback', type: 'boolean', value: true,
       description: 'Enable Tracker writeback feature')

option('abiword', type: 'boolean', value: 'true',
       description: 'Enable extractor for AbiWord files')
option('dvi', type: 'boolean', value: 'true',
       description: 'Enable extractor for DVI metadata')
option('icon', type: 'boolean', value: 'true',
       description: 'Enable extractor for ICO metadata')
option('mp3', type: 'boolean', value: 'true',
       description: 'Enable extractor for MP3 metadata')
option('ps', type: 'boolean', value: 'true',
       description: 'Enable extractor for PS metadata')
option('text', type: 'boolean', value: 'true',
       description: 'Enable extractor for TXT metadata')
option('unzip_ps_gz_files', type: 'boolean', value: 'true',
       description: 'Enable extractor for PS.GZ metadata')

option('battery_detection', type: 'combo', choices: ['auto', 'hal', 'upower', 'none'], value: 'auto',
       description: 'Enable upower or HAL for battery/mains power detection')
option('charset_detection', type: 'combo', choices: ['auto', 'enca', 'icu', 'none'], value: 'auto',
       description: 'Enable enca or libicu for charset detection in MP3s')
option('generic_media_extractor', type: 'combo', choices: ['auto', 'gstreamer', 'libav', 'none'], value: 'auto',
       description: 'Enables one of the (gstreamer, libav, auto) generic media extractor backends')
option('gstreamer_backend', type: 'combo', choices: ['discoverer', 'gupnp'], value: 'discoverer',
       description: 'When GStreamer is used, this enables one of the (discoverer, gupnp) GStreamer backends')

option('dbus_services', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (leave blank to use the value from dbus-1.pc)')
option('systemd_user_services', type: 'string', value: 'yes',
       description: 'Directory to install systemd user .service files (or "yes" for default directory, "no" to disable installation)')

## tracker-miners 1.99.2

=== debian/changelog ===
tracker-miners (1.99.2-0ubuntu1) artful; urgency=medium

  * Initial release (Closes: #871738) (LP: #1710715)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 14 Aug 2017 17:02:24 -0400

=== debian/control ===
Source: tracker-miners
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               pkg-config,
               intltool (>= 0.40.0),
               gnome-common,
               libglib2.0-dev (>= 2.44.0),
               libdbus-1-dev (>= 1.3.1),
               libgstreamer1.0-dev (>= 0.10.31),
               libgstreamer-plugins-base1.0-dev (>= 0.10.31),
               libsqlite3-dev (>= 3.7.15),
               libstemmer-dev,
               libtracker-miner-2.0-dev,
               libtracker-sparql-2.0-dev,
               libpoppler-glib-dev (>= 0.16.0),
               libgsf-1-dev (>= 1.14.24),
               libexif-dev (>= 0.6),
               libpng-dev (>= 1.2),
               libtiff-dev,
               libvorbis-dev (>= 0.22),
               libflac-dev (>= 1.2.1),
               libgtk-3-dev (>= 3.0.0),
               libtotem-plparser-dev,
               zlib1g-dev,
               libexempi-dev (>= 2.1.0),
               libxml2-dev (>= 2.6),
               libupower-glib-dev (>= 0.9.0),
               libenca-dev (>= 1.9),
               libiptcdata0-dev,
               uuid-dev,
               valac,
               gtk-doc-tools,
               libglib2.0-doc,
               libunistring-dev,
               libgif-dev,
               libgxps-dev,
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.10),
               libosinfo-1.0-dev (>= 0.2.9),
               libtagc0-dev (>= 1.6),
               libcue-dev,
               libseccomp-dev (>= 2.0) [linux-any],
               libjson-glib-dev (>= 1.0),
               libsoup2.4-dev (>= 2.40),
               dbus (>= 1.8) <!nocheck>,
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tracker-miners.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tracker-miners.git
Homepage: https://wiki.gnome.org/Projects/Tracker

Package: tracker-extract
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (>= 1.99.2)
Breaks: tracker (<< 1.99.2)
Replaces: tracker (<< 1.99.2)
Description: metadata database, indexer and search tool - metadata extractors
 This package contains the metadata extractors.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-miner-fs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (>= 1.99.2),
         tracker-extract (= ${binary:Version}),
         procps
Description: metadata database, indexer and search tool - filesystem indexer
 This package contains the tracker indexer for indexing your files and folders.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-Bsymbolic

%:
	dh $@ --with gir

autoreconf:
	NOCONFIGURE=true gnome-autogen.sh

override_dh_autoreconf:
	dh_autoreconf --as-needed debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-unicode-support=libunistring \
		--enable-enca \
		--enable-generic-media-extractor=gstreamer \
		--enable-libstemmer \
		--enable-upower \
		--enable-libiptcdata \
		--enable-exempi \
		--enable-libexif \
		--enable-libgif \
		--enable-libjpeg \
		--enable-libtiff \
		--enable-libpng \
		--enable-poppler \
		--enable-libgsf \
		--enable-abiword \
		--enable-libxml2 \
		--enable-libvorbis \
		--enable-libflac \
		--enable-playlist \
		--enable-mp3 \
		--enable-libgxps \
		--enable-dvi \
		--enable-ps \
		--enable-icon \
		--enable-text \
		--enable-unit-tests \
		--disable-miner-rss \
		--disable-hal \
		--enable-taglib \
		--enable-libosinfo \
		--enable-libcue \
		--disable-static \
		--libexecdir=\$${prefix}/lib/tracker

override_dh_install:
	dh_install -X.la --list-missing

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	dbus-run-session -- $(MAKE) check -k VERBOSE=1 || true
endif

## tracker-miners 1.99.3

=== debian/changelog ===
tracker-miners (1.99.3-0ubuntu2) artful; urgency=medium

  * New upstream release
  * debian/tracker-miners-fs.maintscript:
    - Remove obsolete tracker-miner-user-guides autostart file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Aug 2017 09:17:45 -0400

## tracker-miners 2.0.0

=== debian/changelog ===
tracker-miners (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0
  * Drop obsolete libunistring-dev Build-Depends

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2017 14:09:58 +0200

tracker-miners (1.99.3-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Initial release (Closes: #871738)

  [ Michael Biebl ]
  * Trim down unnecessary Build-Depends
  * Switch to new dh_missing helper
  * Switch to --fail-missing
  * Set Debian GNOME team as Maintainer

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Sep 2017 20:19:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: tracker-miners
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 10.3),
                dpkg-dev (>= 1.17.14),
                pkg-config,
                intltool (>= 0.40.0),
-               gnome-common,
                libglib2.0-dev (>= 2.44.0),
-               libdbus-1-dev (>= 1.3.1),
                libgstreamer1.0-dev (>= 0.10.31),
                libgstreamer-plugins-base1.0-dev (>= 0.10.31),
-               libsqlite3-dev (>= 3.7.15),
                libstemmer-dev,
-               libtracker-miner-2.0-dev,
-               libtracker-sparql-2.0-dev,
+               libtracker-miner-2.0-dev (>= 1.99),
+               libtracker-sparql-2.0-dev (>= 1.99),
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
@@ -23,7 +20,6 @@
                libtiff-dev,
                libvorbis-dev (>= 0.22),
                libflac-dev (>= 1.2.1),
-               libgtk-3-dev (>= 3.0.0),
                libtotem-plparser-dev,
                zlib1g-dev,
                libexempi-dev (>= 2.1.0),
@@ -31,21 +27,13 @@
                libupower-glib-dev (>= 0.9.0),
                libenca-dev (>= 1.9),
                libiptcdata0-dev,
-               uuid-dev,
                valac,
-               gtk-doc-tools,
-               libglib2.0-doc,
-               libunistring-dev,
                libgif-dev,
                libgxps-dev,
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               gobject-introspection (>= 0.10),
                libosinfo-1.0-dev (>= 0.2.9),
                libtagc0-dev (>= 1.6),
                libcue-dev,
                libseccomp-dev (>= 2.0) [linux-any],
-               libjson-glib-dev (>= 1.0),
-               libsoup2.4-dev (>= 2.40),
                dbus (>= 1.8) <!nocheck>,
 Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tracker-miners.git

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,13 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-Bsymbolic
 
 %:
-	dh $@ --with gir
-
-autoreconf:
-	NOCONFIGURE=true gnome-autogen.sh
+	dh $@
 
 override_dh_autoreconf:
-	dh_autoreconf --as-needed debian/rules -- autoreconf
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-unicode-support=libunistring \
 		--enable-enca \
 		--enable-generic-media-extractor=gstreamer \
 		--enable-libstemmer \
@@ -49,10 +45,14 @@
 		--disable-static \
 		--libexecdir=\$${prefix}/lib/tracker
 
-override_dh_install:
-	dh_install -X.la --list-missing
+override_dh_missing:
+	find debian/tmp -name '*.la' -print -delete
+	find debian/tmp -name libtracker-extract.so -print -delete
+	find debian/tmp -name 01-writeback.py -print -delete
+	find debian/tmp -name tracker-tests -print -delete
+	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	dbus-run-session -- $(MAKE) check -k VERBOSE=1 || true
+	dbus-run-session -- dh_auto_test
 endif

## tracker-miners 2.0.1

=== debian/changelog ===
tracker-miners (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Oct 2017 23:07:58 +0200

tracker-miners (2.0.0-3) unstable; urgency=medium

  * Move package from collab-maint to pkg-gnome

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Sep 2017 22:10:47 +0200

tracker-miners (2.0.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 13:13:45 -0400

=== debian/control ===
--- 
+++ 
@@ -36,8 +36,8 @@
                libseccomp-dev (>= 2.0) [linux-any],
                dbus (>= 1.8) <!nocheck>,
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tracker-miners.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tracker-miners.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/tracker-miners.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker
 
 Package: tracker-extract

=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,14 @@
 		--disable-static \
 		--libexecdir=\$${prefix}/lib/tracker
 
-override_dh_missing:
+override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 	find debian/tmp -name libtracker-extract.so -print -delete
 	find debian/tmp -name 01-writeback.py -print -delete
 	find debian/tmp -name tracker-tests -print -delete
+	dh_install
+
+override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_auto_test:

## tracker-miners 2.0.2

=== debian/changelog ===
tracker-miners (2.0.2-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:30:54 +0000

tracker-miners (2.0.2-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:28:08 +0000

tracker-miners (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 05 Oct 2017 21:08:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: tracker-miners
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10.3),
-               dpkg-dev (>= 1.17.14),
+               gnome-pkg-tools,
                pkg-config,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.44.0),
@@ -35,7 +39,7 @@
                libcue-dev,
                libseccomp-dev (>= 2.0) [linux-any],
                dbus (>= 1.8) <!nocheck>,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/tracker-miners.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-Bsymbolic
 
 %:
-	dh $@
+	dh $@ --with gnome
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## tracker-miners 2.0.3

=== debian/changelog ===
tracker-miners (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Nov 2017 01:41:34 +0100

## tracker-miners 2.0.4

=== debian/changelog ===
tracker-miners (2.0.4-2) unstable; urgency=medium

  * Disable enca, libiptcdata, and libosinfo on Ubuntu since they
    are in 'universe'
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 18:59:12 -0400

tracker-miners (2.0.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

  [ Michael Biebl ]
  * New upstream version 2.0.4
  * Enable GExiv2-based extractor module for RAW files
  * Move /etc/sysctl.d/30-tracker.conf to /usr/lib/sysctl.d
  * Don't generate shlibs file for private libtracker-extract
  * Remove obsolete /etc/xdg/autostart/tracker-miner-user-guides.desktop
    (Closes: #883671)

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Feb 2018 16:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: tracker-miners
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                pkg-config,
                intltool (>= 0.40.0),
@@ -20,6 +20,7 @@
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
+               libgexiv2-dev,
                libpng-dev (>= 1.2),
                libtiff-dev,
                libvorbis-dev (>= 0.22),
@@ -39,9 +40,9 @@
                libcue-dev,
                libseccomp-dev (>= 2.0) [linux-any],
                dbus (>= 1.8) <!nocheck>,
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/tracker-miners.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/tracker-miners.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
+Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker
 
 Package: tracker-extract

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-Bsymbolic

FEATURE_FLAGS = \
	--enable-generic-media-extractor=gstreamer \
	--enable-libstemmer \
	--enable-upower \
	--enable-exempi \
	--enable-libexif \
	--enable-libgif \
	--enable-libjpeg \
	--enable-libtiff \
	--enable-libpng \
	--enable-poppler \
	--enable-libgsf \
	--enable-abiword \
	--enable-libxml2 \
	--enable-gexiv2 \
	--enable-libvorbis \
	--enable-libflac \
	--enable-playlist \
	--enable-mp3 \
	--enable-libgxps \
	--enable-dvi \
	--enable-ps \
	--enable-icon \
	--enable-text \
	--enable-unit-tests \
	--enable-taglib \
	--enable-libcue \
	--disable-miner-rss \
	--disable-hal \
	--disable-static \

# Disable 'universe' dependencies on Ubuntu
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
FEATURE_FLAGS += \
	--disable-enca \
	--disable-libiptcdata \
	--disable-libosinfo
else
FEATURE_FLAGS += \
	--enable-enca \
	--enable-libiptcdata \
	--enable-libosinfo
endif

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		$(FEATURE_FLAGS) \
		--libexecdir=\$${prefix}/lib/tracker

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name libtracker-extract.so -print -delete
	find debian/tmp -name 01-writeback.py -print -delete
	find debian/tmp -name tracker-tests -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-miners-2.0/

override_dh_shlibdeps:
	dh_shlibdeps -Ltracker-extract

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	dbus-run-session -- dh_auto_test
endif

## tracker-miners 2.1.4

=== debian/changelog ===
tracker-miners (2.1.4-2) unstable; urgency=medium

  * Release to unstable (LP: #1791484)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 12 Sep 2018 22:39:03 -0400

tracker-miners (2.1.4-1) experimental; urgency=medium

  * New upstream development release 
  * debian/control.in: Bump Build-deps on Tracker 2.1.0
  * d/p/Don-t-immediately-restart-tracker-extract-on-SIGSYS.patch: Refreshed

 -- Tim Lunn <tim@feathertop.org>  Wed, 05 Sep 2018 21:04:51 +1000

tracker-miners (2.0.4-3) unstable; urgency=medium

  * Team upload
  * Build-depend on shared-mime-info if running tests (Closes: #907896)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Sep 2018 18:03:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                pkg-config,
@@ -15,8 +15,8 @@
                libgstreamer1.0-dev (>= 0.10.31),
                libgstreamer-plugins-base1.0-dev (>= 0.10.31),
                libstemmer-dev,
-               libtracker-miner-2.0-dev (>= 1.99),
-               libtracker-sparql-2.0-dev (>= 1.99),
+               libtracker-miner-2.0-dev (>= 2.1.0),
+               libtracker-sparql-2.0-dev (>= 2.1.0),
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
@@ -40,6 +40,7 @@
                libcue-dev,
                libseccomp-dev (>= 2.0) [linux-any],
                dbus (>= 1.8) <!nocheck>,
+               shared-mime-info <!nocheck>,
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
@@ -49,7 +50,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 1.99.2)
+         tracker (>= 2.1.0)
 Breaks: tracker (<< 1.99.2)
 Replaces: tracker (<< 1.99.2)
 Description: metadata database, indexer and search tool - metadata extractors
@@ -63,7 +64,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 1.99.2),
+         tracker (>= 2.1.0),
          tracker-extract (= ${binary:Version}),
          procps
 Description: metadata database, indexer and search tool - filesystem indexer

## tracker-miners 2.1.5

=== debian/changelog ===
tracker-miners (2.1.5-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 18:01:40 -0500

tracker-miners (2.1.5-3) unstable; urgency=medium

  * Drop autopkgtest since those tests are already run by dh_auto_test
  * Drop unnecessary Build-Depends on bash (it's essential)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Nov 2018 12:15:17 -0500

tracker-miners (2.1.5-2) unstable; urgency=medium

  * Cherry-pick 2 patches to fix bashisms in meson build script
  * Cherry-pick functional-tests-Require-Bash-for-test-runner.patch:
    - Set the functional test script shebang to bash since it's
      too much work to make it work with other shells right now
  * Build with meson
  * Drop enca from Build-Depends; upstream recommends icu for this feature
  * Build-Depend on tracker & libdbus-1-dev
  * Build-Depend on dbus-x11 for dbus-launch for functional tests
  * Build-Depend on bash & procps for functional tests

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Nov 2018 20:05:52 -0500

tracker-miners (2.1.5-1) unstable; urgency=medium

  [ Tim Lunn ]
  * New upstream release

  [ Jeremy Bicha ]
  * Cherry-pick libtracker-miners-common-Make-g_error-a-soft-error.patch
    - Allow tracker library to still be used without ontology rules
    (Closes: #908800)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Nov 2018 16:52:52 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
+               meson,
                pkg-config,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.44.0),
@@ -24,14 +25,16 @@
                libpng-dev (>= 1.2),
                libtiff-dev,
                libvorbis-dev (>= 0.22),
+               libdbus-1-dev (>= 1.3.1),
                libflac-dev (>= 1.2.1),
                libtotem-plparser-dev,
                zlib1g-dev,
                libexempi-dev (>= 2.1.0),
                libxml2-dev (>= 2.6),
                libupower-glib-dev (>= 0.9.0),
-               libenca-dev (>= 1.9),
+               libicu-dev (>= 4.8.1.1),
                libiptcdata0-dev,
+               tracker (>= 2.1.0),
                valac,
                libgif-dev,
                libgxps-dev,
@@ -39,9 +42,11 @@
                libtagc0-dev (>= 1.6),
                libcue-dev,
                libseccomp-dev (>= 2.0) [linux-any],
-               dbus (>= 1.8) <!nocheck>,
+               dbus (>= 1.3.1) <!nocheck>,
+               dbus-x11 (>= 1.3.1) <!nocheck>,
+               procps <!nocheck>,
                shared-mime-info <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker-miners.git
 Homepage: https://wiki.gnome.org/Projects/Tracker
@@ -73,4 +78,3 @@
  Tracker is an advanced framework for first class objects with associated
  metadata and tags. It provides a one stop solution for all metadata, tags,
  shared object databases, search tools and indexing.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed -Wl,-Bsymbolic

FEATURE_FLAGS = \
	-Dgeneric_media_extractor=gstreamer \
	-Dsystemd_user_services=/usr/lib/systemd/user \
	-Ddocs=true \
	-Dabiword=true \
	-Dmp3=true \
	-Denable-dvi=true \
	-Dps=true \
	-Dicon=true \
	-Dtext=true \
	-Dfunctional_tests=true \
	-Dminer_rss=false \
	-Dbattery_detection=upower \
	-Dcharset_detection=icu

# Disable this section since meson doesn't have these options yet
# https://gitlab.gnome.org/GNOME/tracker-miners/issues/39
# Disable 'universe' dependencies on Ubuntu
#ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
#FEATURE_FLAGS += \
#	-Dlibiptcdata=false \
#	-Dlibosinfo=false
#else
#FEATURE_FLAGS += \
#	-Dlibiptcdata=true \
#	-Dlibosinfo=true \
#endif

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		$(FEATURE_FLAGS) \
		--libexecdir=/usr/lib/tracker

override_dh_install:
	find debian/tmp -name 01-writeback.py -print -delete
	find debian/tmp -name tracker-tests -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-miners-2.0/

override_dh_shlibdeps:
	dh_shlibdeps -Ltracker-extract

override_dh_auto_test:
	dbus-run-session -- dh_auto_test

## tracker-miners 2.1.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
+option('tracker_core', type: 'combo', choices: ['system', 'subproject'], value: 'system',
+       description: 'Use the system-installed version of Tracker core libraries, or build our own version as a Meson subproject.')
+
 option('docs', type: 'boolean', value: true,
        description: 'Enable the documentation')
 option('extract', type: 'boolean', value: true,
        description: 'Enable the Tracker metadata extractor')
 option('functional_tests', type: 'boolean', value: true,
        description: 'Enable the Tracker functional test suite')
-option('guarantee_metadata', type: 'boolean', value: true,
+option('guarantee_metadata', type: 'boolean', value: false,
        description: 'Set nie:title and nie:contentCreated from filename and mtime if no metadata available')
 option('journal', type: 'boolean', value: true,
        description: 'Enable database journal backup mechanism')
@@ -32,6 +35,43 @@
 option('unzip_ps_gz_files', type: 'boolean', value: 'true',
        description: 'Enable extractor for PS.GZ metadata')
 
+option('cue', type: 'feature', value: 'auto',
+       description: 'Support cue sheet parsing')
+option('exif', type: 'feature', value: 'auto',
+       description: 'Support EXIF metadata')
+option('flac', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from Flac audio')
+option('gif', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from GIF images')
+option('gsf', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from MS & Open Office documents')
+option('iptc', type: 'feature', value: 'auto',
+       description: 'Support IPTC photo metadata')
+option('iso', type: 'feature', value: 'auto',
+       description: 'Support ISO image parsing')
+option('jpeg', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from JPEG images')
+option('pdf', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from PDF documents')
+option('playlist', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from playlists (w/ Totem)')
+option('png', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from PNG images')
+option('raw', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from RAW photos')
+option('taglib', type: 'feature', value: 'auto',
+       description: 'Support writeback for audio files using Taglib')
+option('tiff', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from TIFF images')
+option('vorbis', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from Vorbis (ogg/etc) files')
+option('xml', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from XML and HTML documents')
+option('xmp', type: 'feature', value: 'auto',
+       description: 'Support XMP metadata')
+option('xps', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata from XPS documents')
+
 option('battery_detection', type: 'combo', choices: ['auto', 'hal', 'upower', 'none'], value: 'auto',
        description: 'Enable upower or HAL for battery/mains power detection')
 option('charset_detection', type: 'combo', choices: ['auto', 'enca', 'icu', 'none'], value: 'auto',

=== debian/changelog ===
tracker-miners (2.1.6-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Set meson's auto_features=enabled
  * Drop obsolete Build-Depends on valac
  * Drop patches applied in new release:
    - meson-Fix-bad-string-comparisons-in-create-miner-symlinks.patch
    - meson-fix-bashism-in-equality-check.patch
  * Cherry-pick Stop-merging-translations-to-gschema-files.patch:
    - Fix translations of gsettings descriptions. (Closes: #918122)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 23 Feb 2019 12:15:14 -0500

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
                libicu-dev (>= 4.8.1.1),
                libiptcdata0-dev,
                tracker (>= 2.1.0),
-               valac,
                libgif-dev,
                libgxps-dev,
                libosinfo-1.0-dev (>= 0.2.9),

=== debian/rules ===
--- 
+++ 
@@ -7,35 +7,24 @@
 	-Dgeneric_media_extractor=gstreamer \
 	-Dsystemd_user_services=/usr/lib/systemd/user \
 	-Ddocs=true \
-	-Dabiword=true \
-	-Dmp3=true \
-	-Denable-dvi=true \
-	-Dps=true \
-	-Dicon=true \
-	-Dtext=true \
 	-Dfunctional_tests=true \
 	-Dminer_rss=false \
 	-Dbattery_detection=upower \
 	-Dcharset_detection=icu
 
-# Disable this section since meson doesn't have these options yet
-# https://gitlab.gnome.org/GNOME/tracker-miners/issues/39
-# Disable 'universe' dependencies on Ubuntu
-#ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
-#FEATURE_FLAGS += \
-#	-Dlibiptcdata=false \
-#	-Dlibosinfo=false
-#else
-#FEATURE_FLAGS += \
-#	-Dlibiptcdata=true \
-#	-Dlibosinfo=true \
-#endif
+# Disable 'universe' dependencies (libosinfo & libiptcdata) on Ubuntu
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+FEATURE_FLAGS += \
+	-Diptc=disabled \
+	-Diso=disabled
+endif
 
 %:
 	dh $@ --with gnome --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-Dauto_features=enabled \
 		$(FEATURE_FLAGS) \
 		--libexecdir=/usr/lib/tracker

## tracker-miners 2.3.0

=== debian/changelog ===
tracker-miners (2.3.0-1) experimental; urgency=medium

  * New upstream release:
    - The ~/Downloads folder is now indexed non-recursively by default.
      + This reduces the risk of Tracker unnecessarily crawling large
        directories of source code or video game data.
      + If users are storing data such as music or photos in subfolders of the
        Downloads folder, they will need to move it to an appropriate place
        (~/Music, ~/Pictures, etc.) so that it is still indexed.
    - Fixes in Musicbrainz metadata extraction
  * d/p/tests-Use-meson-test-suites-to-group-tests.patch:
    - Group tests by suites so that we can easily select them
  * debian/rules:
    - Run functional tests without failing
    - Disable audio tests in some architectures

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Sep 2019 10:15:43 +0100

tracker-miners (2.2.99.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    + Support for reading Musicbrainz metadata from audio files.
    + Tracker Writeback now uses GStreamer to write metadata to audio files,
      instead of depending on taglib directly.
    + Directories will now be ignored if they contain a file named `.nomedia`.
      A file named `.trackerignore` has the same effect, but the `.nomedia` file
      brings us in line with Android.
    + Removed obsolete 'max-media-art-width' setting.
    + Multiple leak fixes
    + Functional tests now use python3
    + Fix text extractor handling of non-existent files
    + Fix indexing of tracks in FLAC files
  * debian/control:
    - BD on meson 0.47
    - Use gstreamer instead of libtagc for parsing audio tags
    - BD on python3-gi in case we're running tests
    - BD on gstreamer1.0-plugins-good and gstreamer1.0-libav
  * debian/rules: Set XDG_RUNTIME_DIR on tests
  * d/p/functional-tests-Check-for-ISO-image-tags-only-if-libosin.patch:
    - Only check for ISO image tags if libosinfo is found (disabled in Ubuntu)
  * debian/tracker-extract.install: Remove miners-common
  * tracker-miner-fs.install: Remove tracker-miner-apps
  * debian/docs: Use README.md

  [ Iain Lane ]
  * debian/rules: Don't run dh_auto_test if nocheck is set in
    DEB_BUILD_OPTIONS
  * Revert "build: Include libdir in rpath" This reverts commit
    6a9199a86a7047aa3d5db8d0faba8a5ae1e10bf4. We don't want these in rpath on
    Debian; the standard libdir is in the search path.

 -- Iain Lane <laney@debian.org>  Tue, 03 Sep 2019 17:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,26 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
-               meson,
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper (>= 12),
+               dh-sequence-gnome,
+               gir1.2-glib-2.0 <!nocheck>,
+               meson (>= 0.47),
                pkg-config,
+               python <!nocheck>,
+               python-gi <!nocheck>,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.44.0),
                libgstreamer1.0-dev (>= 0.10.31),
                libgstreamer-plugins-base1.0-dev (>= 0.10.31),
                libstemmer-dev,
-               libtracker-miner-2.0-dev (>= 2.1.0),
-               libtracker-sparql-2.0-dev (>= 2.1.0),
+               libtracker-miner-2.0-dev (>= 2.2.0),
+               libtracker-sparql-2.0-dev (>= 2.2.0),
                libpoppler-glib-dev (>= 0.16.0),
                libgsf-1-dev (>= 1.14.24),
                libexif-dev (>= 0.6),
                libgexiv2-dev,
+               libgstreamer-plugins-base1.0-dev,
                libpng-dev (>= 1.2),
                libtiff-dev,
                libvorbis-dev (>= 0.22),
@@ -34,16 +38,18 @@
                libupower-glib-dev (>= 0.9.0),
                libicu-dev (>= 4.8.1.1),
                libiptcdata0-dev,
-               tracker (>= 2.1.0),
+               tracker (>= 2.2.0),
                libgif-dev,
                libgxps-dev,
                libosinfo-1.0-dev (>= 0.2.9),
-               libtagc0-dev (>= 1.6),
                libcue-dev,
                libseccomp-dev (>= 2.0) [linux-any],
                dbus (>= 1.3.1) <!nocheck>,
                dbus-x11 (>= 1.3.1) <!nocheck>,
+               gstreamer1.0-libav <!nocheck>,
+               gstreamer1.0-plugins-good <!nocheck>,
                procps <!nocheck>,
+               python3-gi <!nocheck>,
                shared-mime-info <!nocheck>,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker-miners
@@ -54,7 +60,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 2.1.0)
+         tracker (>= 2.2.0)
 Breaks: tracker (<< 1.99.2)
 Replaces: tracker (<< 1.99.2)
 Description: metadata database, indexer and search tool - metadata extractors
@@ -68,7 +74,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         tracker (>= 2.1.0),
+         tracker (>= 2.2.0),
          tracker-extract (= ${binary:Version}),
          procps
 Description: metadata database, indexer and search tool - filesystem indexer

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed -Wl,-Bsymbolic
+
+BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
+CHECK_HOME = $(CURDIR)/debian/tmp/home
+CHECK_XRD = $(CHECK_HOME)/XRD
 
 FEATURE_FLAGS = \
 	-Dgeneric_media_extractor=gstreamer \
@@ -12,6 +16,17 @@
 	-Dbattery_detection=upower \
 	-Dcharset_detection=icu
 
+MESON_TEST_ARGS = \
+	-C $(BUILDDIR) \
+	--no-rebuild \
+	--verbose
+TEST_SUITES_FILTER = \
+	functional
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hppa ppc64 s390x))
+TEST_SUITES_FILTER += \
+	audio
+endif
+
 # Disable 'universe' dependencies (libosinfo & libiptcdata) on Ubuntu
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
 FEATURE_FLAGS += \
@@ -20,7 +35,7 @@
 endif
 
 %:
-	dh $@ --with gnome --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -43,4 +58,19 @@
 	dh_shlibdeps -Ltracker-extract
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	mkdir -p -m0700 $(CHECK_HOME)
+	mkdir -m0700 $(CHECK_XRD)
+	env HOME=$(CHECK_HOME) XDG_RUNTIME_DIR=$(CHECK_XRD) \
+	    dbus-run-session -- \
+	    meson test $(MESON_TEST_ARGS) \
+	    $(addprefix --no-suite ,${TEST_SUITES_FILTER})
+	-env HOME=$(CHECK_HOME) XDG_RUNTIME_DIR=$(CHECK_XRD) \
+	    dbus-run-session -- \
+	    meson test $(MESON_TEST_ARGS) \
+	    $(addprefix --suite ,${TEST_SUITES_FILTER})
+endif
+
+override_dh_clean:
+	rm -rf $(CHECK_HOME)
+	dh_clean

## tracker-miners 2.3.1

=== debian/changelog ===
tracker-miners (2.3.1-3ubuntu1) focal; urgency=medium

  * debian/patches/git_glib263_fix.patch:
    - backport an upstream fix the new glib version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 12:30:49 +0100

tracker-miners (2.3.1-3build1) focal; urgency=medium

  * No-change rebuild against libicu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 18:31:30 +0000

tracker-miners (2.3.1-3) unstable; urgency=medium

  * debian/rules: Fix architectures list for libseccomp-dev build-dependency

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Jan 2020 22:39:59 +0100

tracker-miners (2.3.1-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop superfluous build-deps on python and python-gi
    - already switched to python3 in tracker-miners 2.3 (Closes: #945717)

  [ Laurent Bigonville ]
  * debian/tracker-miner-fs.maintscript: Remove
    /etc/xdg/autostart/tracker-miner-apps.desktop on upgrade

 -- Laurent Bigonville <bigon@debian.org>  Sat, 30 Nov 2019 13:31:09 +0100

tracker-miners (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Oct 2019 12:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Source: tracker-miners
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 12),
                dh-sequence-gnome,
                gir1.2-glib-2.0 <!nocheck>,
                meson (>= 0.47),
                pkg-config,
-               python <!nocheck>,
-               python-gi <!nocheck>,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.44.0),
                libgstreamer1.0-dev (>= 0.10.31),
@@ -43,7 +42,7 @@
                libgxps-dev,
                libosinfo-1.0-dev (>= 0.2.9),
                libcue-dev,
-               libseccomp-dev (>= 2.0) [linux-any],
+               libseccomp-dev (>= 2.0) [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-riscv64 !linux-sh4 !linux-sparc64],
                dbus (>= 1.3.1) <!nocheck>,
                dbus-x11 (>= 1.3.1) <!nocheck>,
                gstreamer1.0-libav <!nocheck>,
